rpms/pyicq-t/EL-5 import.log, NONE, 1.1 .cvsignore, 1.4, 1.5 config.patch, 1.1, 1.2 pyicq-t.init, 1.2, 1.3 pyicq-t.spec, 1.6, 1.7 sources, 1.4, 1.5

Stefan Schulze Frielinghaus stefansf at fedoraproject.org
Fri Sep 18 09:06:28 UTC 2009


Author: stefansf

Update of /cvs/pkgs/rpms/pyicq-t/EL-5
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv7811/EL-5

Modified Files:
	.cvsignore config.patch pyicq-t.init pyicq-t.spec sources 
Added Files:
	import.log 
Log Message:
- Merge from Fedora devel
- New upstream release
- Changed init script to run pyicq-t as non root user and changed permissions of the config
  file because it contains a cleartext password.
- Changed start/stop time of the init script to fix race condition with ejabberd.
- Changed init script to call "PyICQt.py" directly and not via
  "python PyICQt.py" this makes it easier to write a SELinux policy for.
- Some whitespace fixes
- Added shadow-utils as a requirement
- Removed empty config file creation and changed it to copy an example config file
- Added try-restart, reload and force-reload to the init script
- Fixed permissions
- Fixed typo in config.patch
- Make init script more compatible, e.g. "exit 2" if invalid arguments supplied,
  killproc needs prog name otherwise the signal won't be used and a couple of
  other minor fixes.




--- NEW FILE import.log ---
pyicq-t-0_8_1_5-1_fc11:EL-5:pyicq-t-0.8.1.5-1.fc11.src.rpm:1253264670


Index: .cvsignore
===================================================================
RCS file: /cvs/pkgs/rpms/pyicq-t/EL-5/.cvsignore,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -p -r1.4 -r1.5
--- .cvsignore	27 Jun 2007 13:32:15 -0000	1.4
+++ .cvsignore	18 Sep 2009 09:06:22 -0000	1.5
@@ -1 +1 @@
-pyicq-t-0.8a.tar.gz
+pyicqt-0.8.1.5.tar.gz

config.patch:
 config_example.xml |    4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

Index: config.patch
===================================================================
RCS file: /cvs/pkgs/rpms/pyicq-t/EL-5/config.patch,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- config.patch	5 Aug 2006 23:42:07 -0000	1.1
+++ config.patch	18 Sep 2009 09:06:22 -0000	1.2
@@ -1,16 +1,16 @@
---- config_example.xml.orig	2006-07-26 09:10:46.000000000 -0500
-+++ config_example.xml	2006-07-26 09:13:02.000000000 -0500
+--- config_example.xml	2009-09-15 09:02:36.000000000 -0500
++++ config_example.xml	2009-09-15 09:03:02.000000000 -0500
 @@ -7,11 +7,11 @@
  
  	<!-- The location of the spool directory.. if relative, relative to -->
  	<!-- this directory.  Do not include the jid of the transport. -->
 -	<spooldir>.</spooldir>
-+	<spooldir>/var/spool/pyicq-tt</spooldir>
++	<spooldir>/var/spool/pyicq-t</spooldir>
  
  	<!-- The location of the PID file.. if relative, relative to this dir. -->
  	<!-- Comment out if you do not want a pid file -->
 -	<pid>PyICQt.pid</pid>
-+	<pid>/var/run/pyicq-t.pid</pid>
++	<pid>/var/run/pyicq-t/pyicq-t.pid</pid>
  
  	<!-- The IP address of the main Jabberd server -->
  	<mainServer>127.0.0.1</mainServer>


Index: pyicq-t.init
===================================================================
RCS file: /cvs/pkgs/rpms/pyicq-t/EL-5/pyicq-t.init,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -p -r1.2 -r1.3
--- pyicq-t.init	31 Oct 2006 21:42:29 -0000	1.2
+++ pyicq-t.init	18 Sep 2009 09:06:22 -0000	1.3
@@ -1,58 +1,96 @@
 #!/bin/bash
-# pyicq-t
 #
-# chkconfig: - 45 65
-# description: pyicq-t
-# processname: pyicq-t
-# pidfile: /var/run/pyicq-t.pid
+# PyICQt    Start and stop pyicq-t.
+
+# chkconfig: - 99 01
+# description: PyICQt is an ICQ transport for Jabber/XMPP.
+# config: /etc/pyicq-t/config.xml
+# pidfile: /var/run/pyicq-t/pyicq-t.pid
+# lockfile: /var/lock/subsys/pyicq-t
 
 . /etc/rc.d/init.d/functions
 
+prog="PyICQt"
+exec="/usr/share/pyicq-t/PyICQt.py"
+config="/etc/pyicq-t/config.xml"
+pidfile="/var/run/pyicq-t/pyicq-t.pid"
+lockfile="/var/lock/subsys/pyicq-t"
+
 start() {
-        echo -n $"Starting ICQ transport: "
-	(cd /usr/share/pyicq-t; python ./PyICQt.py --background --config=/etc/pyicq-t/config.xml)  && success || failure
-        RETVAL=$?
-        [ $RETVAL -eq 0 ] && touch /var/lock/subsys/pyicq-t
-        echo
-        return $RETVAL
+	[ -x $exec ] || exit 5
+	[ -f $config ] || exit 6
+	echo -n $"Starting $prog: "
+	daemon --user=pyicqt --pidfile=$pidfile $exec \
+				--background \
+				--config=${config} \
+				--log=/var/log/pyicq-t.log
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && touch $lockfile
+	return $RETVAL
 }
 
 stop() {
-        # Stop daemons.
-        echo -n "Shutting down ICQ transport: "
-	killproc pyicq-t
-        RETVAL=$?
-        [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/pyicq-t
-        echo
-        return $RETVAL
+	echo -n $"Shutting down $prog: "
+	killproc -p $pidfile
+	RETVAL=$?
+	echo
+	[ $RETVAL -eq 0 ] && rm -f $lockfile
+	return $RETVAL
 }
 
 restart() {
-        stop
-        start
+	stop
+	sleep 1
+	start
+}
+
+reload() {
+	echo -n $"Reloading $prog: "
+	killproc -p $pidfile $prog -HUP
+	RETVAL=$?
+	echo
+	return $RETVAL
+}
+
+force_reload() {
+	restart
+}
+
+rh_status() {
+	status -p $pidfile $prog
+}
+
+rh_status_q() {
+	rh_status >/dev/null 2>&1
 }
 
-# See how we were called.
 case "$1" in
   start)
-        start
-        ;;
+	start
+	;;
   stop)
-        stop
-        ;;
+	stop
+	;;
   restart)
-        restart
-        ;;
-  condrestart)
-        [ -f /var/lock/subsys/pyicq-t ] && restart || :
-        ;;
+	restart
+	;;
+  condrestart|try-restart)
+	rh_status_q || exit 0
+	restart
+	;;
+  reload)
+	reload
+	;;
+  force-reload)
+	force_reload
+	;;
   status)
-	status pyicq-t
-	RETVAL=$?
+  	rh_status
 	;;
   *)
-        echo "Usage: pyicq-t {start|stop|restart|reload|condrestart|status}"
-        RETVAL=1
+	echo $"Usage: $0 {start|stop|restart|condrestart|try-restart|reload|force-reload|status}"
+	exit 2
 esac
 
-exit $RETVAL
+exit $?


Index: pyicq-t.spec
===================================================================
RCS file: /cvs/pkgs/rpms/pyicq-t/EL-5/pyicq-t.spec,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -p -r1.6 -r1.7
--- pyicq-t.spec	27 May 2009 23:35:07 -0000	1.6
+++ pyicq-t.spec	18 Sep 2009 09:06:22 -0000	1.7
@@ -1,16 +1,14 @@
 %{!?python_standard_lib: %define python_standard_lib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(standard_lib=1)")}
 
-%define subver a
-
 Name:           pyicq-t
-Version:        0.8
-Release:        5%{?subver:.%{subver}}%{?dist}
+Version:        0.8.1.5
+Release:        1%{?dist}
 Summary:        ICQ Transport for Jabber Servers
 
 Group:          Applications/Internet
-License:        GPL
-URL:            http://pyicq-t.blathersource.org/
-Source0:        http://www.blathersource.org/download.php/pyicq-t/pyicq-t-%{version}%{?subver:%{subver}}.tar.gz
+License:        GPLv2+
+URL:            http://code.google.com/p/pyicqt/
+Source0:        http://pyicqt.googlecode.com/files/pyicqt-%{version}.tar.gz
 Source1:        pyicq-t.init
 Patch0:         config.patch
 
@@ -18,10 +16,15 @@ BuildRoot:      %{_tmppath}/%{name}-%{ve
 
 BuildArch:      noarch
 BuildRequires:  python-devel
-Requires:       python-twisted
+Requires:       python-twisted-core
+Requires:       python-twisted-web
+Requires:       python-twisted-words
 Requires:       python-imaging
 Requires:       pyOpenSSL
 
+Requires(pre): shadow-utils
+Requires(pre): /usr/sbin/groupadd
+Requires(pre): /usr/sbin/useradd
 Requires(post): /sbin/chkconfig
 Requires(preun): /sbin/chkconfig
 Requires(preun): /sbin/service
@@ -46,7 +49,7 @@ Requires: pyicq-t = %{version}-%{release
 MySQL backend for ICQ transport
 
 %prep
-%setup -q -n %{name}-%{version}%{?subver:%{subver}}
+%setup -q -n pyicqt-%{version}
 %patch0 -p0
 
 %build
@@ -55,24 +58,32 @@ MySQL backend for ICQ transport
 
 %install
 rm -rf %{buildroot}
+chmod 644 src/chardet_utf/*.py
+chmod 644 tools/managessi.py
+chmod 644 tools/migrate.py
+
 mkdir -p %{buildroot}/etc/pyicq-t
 mkdir -p %{buildroot}%{_datadir}/pyicq-t
+mkdir -p %{buildroot}%{_localstatedir}/run/pyicq-t
 mkdir -p %{buildroot}/var/spool/pyicq-t
 mkdir -p %{buildroot}%{_initrddir}
 
 cp %{S:1} %{buildroot}%{_initrddir}/pyicq-t
-chmod a+x %{buildroot}%{_initrddir}/pyicq-t
 
-touch %{buildroot}/etc/pyicq-t/config.xml
+cp config_example.xml %{buildroot}/etc/pyicq-t/config.xml
 
 cp PyICQt.py* %{buildroot}%{_datadir}/pyicq-t
-chmod a+x %{buildroot}%{_datadir}/pyicq-t/PyICQt.py
 cp -r data %{buildroot}%{_datadir}/pyicq-t
 cp -r src %{buildroot}%{_datadir}/pyicq-t
- 
+
 %clean
 rm -rf %{buildroot}
 
+%pre
+/usr/sbin/groupadd -f -r pyicqt
+/usr/sbin/useradd -c "PyICQt" -g pyicqt \
+        -s /sbin/nologin -r -d /var/spool/pyicq-t pyicqt 2> /dev/null || :
+
 %post
 /sbin/chkconfig --add pyicq-t
 
@@ -91,15 +102,22 @@ fi
 %defattr(-,root,root,-)
 %doc AUTHORS ChangeLog config_example.xml COPYING INSTALL NEWS README tools/managessi.py tools/migrate.py
 
-%{_initrddir}/pyicq-t
+%attr(0755,root,root) %{_initrddir}/pyicq-t
 
-%dir %{_sysconfdir}/pyicq-t
-%ghost %config(noreplace) %{_sysconfdir}/pyicq-t/config.xml
+%attr(0700,pyicqt,pyicqt) %dir %{_sysconfdir}/pyicq-t
+%attr(0600,pyicqt,pyicqt) %config(noreplace) %{_sysconfdir}/pyicq-t/config.xml
 
 %exclude %{_datadir}/pyicq-t/src/xdb/mysql.py*
-%{_datadir}/pyicq-t
+%dir %{_datadir}/pyicq-t
+%{_datadir}/pyicq-t/data
+%attr(0755,root,root) %{_datadir}/pyicq-t/PyICQt.py
+%{_datadir}/pyicq-t/PyICQt.pyc
+%{_datadir}/pyicq-t/PyICQt.pyo
+%{_datadir}/pyicq-t/src
+
+%attr(0700,pyicqt,pyicqt) %dir %{_localstatedir}/spool/pyicq-t
 
-%dir %{_localstatedir}/spool/pyicq-t
+%attr(0755,pyicqt,pyicqt) %dir %{_localstatedir}/run/pyicq-t
 
 %files mysql
 %defattr(-,root,root,-)
@@ -108,6 +126,24 @@ fi
 %{_datadir}/pyicq-t/src/xdb/mysql.py*
 
 %changelog
+* Fri Sep 18 2009 Stefan Schulze Frielinghaus <stefan at seekline.net> - 0.8.1.5-1
+- Merge from Fedora devel
+- New upstream release
+- Changed init script to run pyicq-t as non root user and changed permissions of the config
+  file because it contains a cleartext password.
+- Changed start/stop time of the init script to fix race condition with ejabberd.
+- Changed init script to call "PyICQt.py" directly and not via
+  "python PyICQt.py" this makes it easier to write a SELinux policy for.
+- Some whitespace fixes
+- Added shadow-utils as a requirement
+- Removed empty config file creation and changed it to copy an example config file
+- Added try-restart, reload and force-reload to the init script
+- Fixed permissions
+- Fixed typo in config.patch
+- Make init script more compatible, e.g. "exit 2" if invalid arguments supplied,
+  killproc needs prog name otherwise the signal won't be used and a couple of
+  other minor fixes.
+
 * Thu May 28 2009 Michael Fleming <mfleming+rpm at thatfleminggent.com> - 0.8-5.a
 - Initial build for EPEL
 


Index: sources
===================================================================
RCS file: /cvs/pkgs/rpms/pyicq-t/EL-5/sources,v
retrieving revision 1.4
retrieving revision 1.5
diff -u -p -r1.4 -r1.5
--- sources	27 Jun 2007 13:32:15 -0000	1.4
+++ sources	18 Sep 2009 09:06:22 -0000	1.5
@@ -1 +1 @@
-eb44605d5f952759e3cba19815d367d2  pyicq-t-0.8a.tar.gz
+d1c544f82ed416bbe987a5e419820fa8  pyicqt-0.8.1.5.tar.gz




More information about the fedora-extras-commits mailing list